# 9.11. Anonymous users

An anonymous authentication method can be used to authenticate a specific application type account by ignoring the provided password or any other credential.

## 9.11.1. Introduction

This authentication is implemented based on the RFC 1635 but it can also be used for SFTP/SCP or HTTP/HTTPS services.

Once authenticated, the anonymous account will have the same permissions as the account with which it's associated. The audit events are recorded under the associated account name and not the anonymous account.

Note

This authentication method can't be used with the Web Manager service.

The anonymous account is locked inside the home folder and will have full access to all files and directories located in the home folder, just like a normal application account.

## 9.11.2. name

Default value:

  ''

Optional:

  Yes

From version:

  2.10.0

Values:

  - Any text.

Description:

  Human-readable short text used to identify this method.

## 9.11.3. description

Default value:

  ''

Optional:

  Yes

From version:

  2.10.0

Values:

  - Any text.

Description:

  Human-readable text that describes the purpose of this authentication method.

## 9.11.4. type

Default value:

  ''

Optional:

  No

From version:

  2.10.0

Values:

  - application - Application accounts.

  - os - Accounts authenticated by the OS.

  - http - HTTP (unsecured).

  - ip-time-ban - Ban an IP address for a time interval.

  - deny-username - Deny authentication based on usernames.

  - anonymous - Anonymous account authentication.

  - ldap - Authenticate against an LDAP server.

  - local-file - Authenticate the accounts from a separate local file.

  - radius - Authenticate via an RADIUS server.

  - entra-id - Microsoft Entra ID

Description:

  This option specifies the type of the method. Each type has a set of specific configuration options

## 9.11.5. anonymous_account_uuid

Default value:

  ''

Optional:

  No

Values:

  - UUID of the application account with which this account is associated.

From version:

  3.2.0

Description:

  This is the UUID of the application account associated with the anonymous account.

9.10. Banning IP addresses
10. Server-side Usage Instructions